export declare const ABI: readonly [{
    readonly type: "impl";
    readonly name: "CounterContract";
    readonly interface_name: "comp_examples::counter_contract::ICounterContract";
}, {
    readonly type: "interface";
    readonly name: "comp_examples::counter_contract::ICounterContract";
    readonly items: readonly [{
        readonly type: "function";
        readonly name: "increase_counter";
        readonly inputs: readonly [{
            readonly name: "amount";
            readonly type: "core::integer::u128";
        }];
        readonly outputs: readonly [];
        readonly state_mutability: "external";
    }, {
        readonly type: "function";
        readonly name: "decrease_counter";
        readonly inputs: readonly [{
            readonly name: "amount";
            readonly type: "core::integer::u128";
        }];
        readonly outputs: readonly [];
        readonly state_mutability: "external";
    }, {
        readonly type: "function";
        readonly name: "get_counter";
        readonly inputs: readonly [];
        readonly outputs: readonly [{
            readonly type: "core::integer::u128";
        }];
        readonly state_mutability: "view";
    }];
}, {
    readonly type: "impl";
    readonly name: "Upgradable";
    readonly interface_name: "comp_examples::upgradable::IUpgradable";
}, {
    readonly type: "interface";
    readonly name: "comp_examples::upgradable::IUpgradable";
    readonly items: readonly [{
        readonly type: "function";
        readonly name: "upgrade";
        readonly inputs: readonly [{
            readonly name: "new_class_hash";
            readonly type: "core::starknet::class_hash::ClassHash";
        }];
        readonly outputs: readonly [];
        readonly state_mutability: "external";
    }];
}, {
    readonly type: "constructor";
    readonly name: "constructor";
    readonly inputs: readonly [{
        readonly name: "initial_counter";
        readonly type: "core::integer::u128";
    }];
}, {
    readonly type: "event";
    readonly name: "comp_examples::counter_contract::counter_contract::CounterIncreased";
    readonly kind: "struct";
    readonly members: readonly [{
        readonly name: "amount";
        readonly type: "core::integer::u128";
        readonly kind: "data";
    }];
}, {
    readonly type: "event";
    readonly name: "comp_examples::counter_contract::counter_contract::CounterDecreased";
    readonly kind: "struct";
    readonly members: readonly [{
        readonly name: "amount";
        readonly type: "core::integer::u128";
        readonly kind: "data";
    }];
}, {
    readonly type: "event";
    readonly name: "comp_examples::upgradable::upgradable::ContractUpgraded";
    readonly kind: "struct";
    readonly members: readonly [{
        readonly name: "old_class_hash";
        readonly type: "core::starknet::class_hash::ClassHash";
        readonly kind: "data";
    }, {
        readonly name: "new_class_hash";
        readonly type: "core::starknet::class_hash::ClassHash";
        readonly kind: "data";
    }];
}, {
    readonly type: "event";
    readonly name: "comp_examples::upgradable::upgradable::Event";
    readonly kind: "enum";
    readonly variants: readonly [{
        readonly name: "ContractUpgraded";
        readonly type: "comp_examples::upgradable::upgradable::ContractUpgraded";
        readonly kind: "nested";
    }];
}, {
    readonly type: "event";
    readonly name: "comp_examples::counter_contract::counter_contract::Event";
    readonly kind: "enum";
    readonly variants: readonly [{
        readonly name: "CounterIncreased";
        readonly type: "comp_examples::counter_contract::counter_contract::CounterIncreased";
        readonly kind: "nested";
    }, {
        readonly name: "CounterDecreased";
        readonly type: "comp_examples::counter_contract::counter_contract::CounterDecreased";
        readonly kind: "nested";
    }, {
        readonly name: "UpgradableEvent";
        readonly type: "comp_examples::upgradable::upgradable::Event";
        readonly kind: "nested";
    }];
}];
//# sourceMappingURL=abi.d.ts.map